#---------------------------------------------------------------
# Project         : LADS
# Module          : lads
# File            : ladsconfig.py
# Version         : $Id: ladsconfig.py,v 1.1.1.1 2003/02/04 19:09:47 fred Exp $
# Author          : Frederic Lepied
# Created On      : Mon Feb  3 19:38:22 2003
#---------------------------------------------------------------

import re
import os

exceptions = {}

def add_exception(name, exception, regexp=1):
    if regexp:
        exception = re.compile('^%s$' % exception)
    try:
        exceptions[name].append(exception)
    except KeyError:
        exceptions[name] = [exception, ]

def get_exception(name):
    try:
        return exceptions[name]
    except KeyError:
        return ()

config = {}

def set_config(name, value):
    config[name] = value

def get_config(name, default=None):
    try:
        return config[name]
    except KeyError:
        return default
    
def load_exceptions(name):
    import ladsconfig
    
    execfile(os.path.expanduser(name), ladsconfig.__dict__, {})

# ladsconfig.py ends here
